# RSL_get_ray

### Synopsis

#include "rsl.h"
Ray *RSL_get_ray(Volume volume, float elev, float azimuth);

###

Description

Extract a Ray from a Volume. Returns a pointer to a Ray. You must copy the Ray returned with RSL_copy_ray, if you want to modify the contents of the Ray without destroying the original Ray. elev is the elevation angle in degrees and is used to find the appropriate Sweep using the routine RSL_get_sweep. The azimuth angle within the appropriate Sweep must be within +/- 1/2 horizontal beam width of the target angle, azimuth.

### Return value

Upon successful completion, a pointer to the Ray structure is returned. Otherwise, a NULL pointer is returned.

### See also

RSL_get_ray_from_sweep, RSL_get_ray_above, RSL_get_ray_below, RSL_get_first_ray_of_sweep, RSL_get_first_ray_of_volume.

Author: John H. Merritt